package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 白名单对象 lab_whitelist
 *
 * @author zd
 * @date 2022-01-26
 */
@ApiModel("白名单")
public class LabWhitelist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 用户id */
    @Excel(name = "用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /** 用户名 */
    @Excel(name = "用户名")
    @Length(message = "用户名长度不能超过20")
    @ApiModelProperty(value = "用户名")
    private String userName;
    /** 学号/工号 */
    @Excel(name = "学号/工号")
    @Length(message = "学号/工号长度不能超过20")
    @ApiModelProperty(value = "学号/工号")
    private String userNumber;
    /** 联系方式 */
    @Excel(name = "联系方式")
    @Length(message = "联系方式长度不能超过20")
    @ApiModelProperty(value = "联系方式")
    private String userTelephone;
    /** 11 教职工 22学生 */
    @Excel(name = "11 教职工 22学生")
    @Length(message = "11 教职工 22学生长度不能超过10")
    @ApiModelProperty(value = "11 教职工 22学生")
    private String userType;
    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /** 部门名称 */
    @Excel(name = "部门名称")
    @Length(message = "部门名称长度不能超过50")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /** 创建人 */
    @Excel(name = "创建人")
    @Length(message = "创建人长度不能超过20")
    @ApiModelProperty(value = "创建人")
    private String createUser;
    /** 创建人id */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long createId;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setUserNumber(String userNumber)
    {
        this.userNumber = userNumber;
    }

    public String getUserNumber()
    {
        return userNumber;
    }
    public void setUserTelephone(String userTelephone)
    {
        this.userTelephone = userTelephone;
    }

    public String getUserTelephone()
    {
        return userTelephone;
    }
    public void setUserType(String userType)
    {
        this.userType = userType;
    }

    public String getUserType()
    {
        return userType;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setCreateUser(String createUser)
    {
        this.createUser = createUser;
    }

    public String getCreateUser()
    {
        return createUser;
    }
    public void setCreateId(Long createId)
    {
        this.createId = createId;
    }

    public Long getCreateId()
    {
        return createId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("userNumber", getUserNumber())
                .append("userTelephone", getUserTelephone())
                .append("userType", getUserType())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("createUser", getCreateUser())
                .append("createId", getCreateId())
                .append("createTime", getCreateTime())
                .toString();
    }
}
